SPLIT(1)

NAZWA
split - dzieli pliki na części

SKŁADNIA
split [OPCJA]... [PLIK [PRZEDROSTEK]]

OPIS

Wypisuje równe części PLIKU do plików PRZEDROSTEKaa PRZEDROSTEKab, ...; domyślnym rozmiarem jest 1000 wierszy, a domyślnym PRZEDROSTKIEM jest x.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-a, --suffix-length=N
    używa przyrostków długości N (domyślnie 2)

--additional-suffix=PRZYROSTEK
    dodaje dodatkowy PRZYROSTEK do nazw plików

-b, --bytes=ROZMIAR
    określa rozmiar każdego z plików wyjściowych na ROZMIAR

-C, --line-bytes=ROZMIAR
    używa najwyżej ROZMIARU bajtów na rekord w każdym pliku wyjściowym

-d  używa przyrostków liczbowych poczynając od 0, nie alfabetycznych

--numeric-suffixes[=OD]
    jak -d, ale pozwala wybrać wartość początkową

-x  używa przyrostków szesnastkowych poczynając od 0, nie alfabetycznych

--hex-suffixes[=OD]
    jak -x, ale pozwala wybrać wartość początkową

-e, --elide-empty-files
    nie wypisuje pustych wierszy dla opcji -n

--filter=POLECENIE
    pisze do POLECENIA powłoki, nazwą pliku jest $FILE

-l, --lines=LICZBA
    używa LICZBY wierszy/rekordów na każdy plik wyjściowy

-n, --number=CZĘŚCI
    dzieli plik na podaną liczbę CZĘŚCI, patrz niżej

-s, --separator=SEPARATOR
    używa SEPARATORA zamiast nowego wiersza jak separatora rekordów; "\0" (zero) wybiera znak NUL

-u, --unbuffered
    natychmiast kopiuje wejście na wyjście z opcją -n r/...

--verbose
    wyświetla informacje diagnostyczne zaraz przed otwarciem każdego pliku wynikowego

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

ROZMIAR jest liczbą całkowitą wraz z opcjonalną jednostką (np. 10K to 10*1024). Jednostki to: K, M, G, T, P, E, Z, Y, R, Q (potęgi 1024) lub KB, MB itd. (potęgi 1000). Można używać również przyrostków binarnych, np. KiB=K, MiB=M itd.

  CZĘŚCIĄ może być:

N   dzieli na N części w oparciu o wielkość wejścia

K/N wypisuje K-tą część z N na standardowe wyjście

1/N dzieli na N plików, bez rozdzielania wierszy/rekordów

l/K/N
    wypisuje K-tą część z N na standardowe wyjście, bez rozdzielania wierszy/rekordów

r/N jak l, lecz używa algorytmu karuzelowego (ang. round robin)

r/K/N
    podobnie, lecz wypisuje tylko K-tą część z N na standardowe wyjście

AUTOR
Napisane przez Torbjorna Granlunda i Richarda M. Stallmana.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/split>
lub lokalnie, za pomocą info 'coreutils) split invocation'

Spakietowane przez Debiana (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać.
Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.